> ## Documentation Index
> Fetch the complete documentation index at: https://docs.idmetagroup.com/llms.txt
> Use this file to discover all available pages before exploring further.

# AEC Electoral

> AU AEC Electoral verification endpoint (TBD).



## OpenAPI

````yaml api-reference/openapi.json POST /api/v3/verifications/australia/aec
openapi: 3.0.3
info:
  title: IDmeta API
  description: IDmeta verification and integration API.
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://{environment-subdomain}.idmetagroup.com
    description: Your environment (replace `{environment-subdomain}`)
    variables:
      environment-subdomain:
        default: integrate
        enum:
          - integrate
          - api.ph
        description: >-
          IDmeta environment subdomain. Use `api.ph` for
          portalph.idmetagroup.com and `integrate` for verify.idmetagroup.com.
security:
  - bearerAuth: []
tags:
  - name: Processes
    description: Verification process endpoints
  - name: Trust Flow Links
    description: Trust Flow link generation endpoints
  - name: Compliance
    description: Compliance verification endpoints
  - name: Government Data
    description: Government data verification endpoints
  - name: Alternative Verifications
    description: Alternative verification and intelligence endpoints
  - name: OCR
    description: Document OCR extraction endpoints
paths:
  /api/v3/verifications/australia/aec:
    post:
      tags:
        - Government Data
      summary: AU AEC Electoral
      description: Validate Australian Electoral Commission data against voter records.
      operationId: auAecElectoralVerificationV3
      parameters:
        - name: Accept
          in: header
          required: false
          schema:
            type: string
            default: application/json
        - name: Content-Type
          in: header
          required: false
          schema:
            type: string
            default: application/json
        - name: Authorization
          in: header
          required: true
          schema:
            type: string
            example: Bearer {your_api_token}
      requestBody:
        required: true
        content:
          multipart/form-data:
            schema:
              $ref: '#/components/schemas/AuAecElectoralV3Request'
            examples:
              default:
                summary: AU AEC Electoral verification request (form-data)
                value:
                  trustFlowId: 0
                  trustValidationId: '{your_trust_validation_id}'
                  familyName: ''
                  givenName: ''
                  dob: ''
                  enrolmentNumber: ''
      responses:
        '200':
          description: AU AEC Electoral processed successfully
          headers:
            Content-Type:
              schema:
                type: string
                example: application/json
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AuRegistryVerificationResponse'
components:
  schemas:
    AuAecElectoralV3Request:
      type: object
      required:
        - trustValidationId
        - trustFlowId
        - familyName
        - givenName
        - dob
        - enrolmentNumber
      properties:
        trustValidationId:
          type: string
          description: Trust validation ID for this verification.
        trustFlowId:
          type: integer
          description: Trust flow ID for this verification.
        familyName:
          type: string
          description: Family name of the voter.
        givenName:
          type: string
          description: Given name of the voter.
        dob:
          type: string
          description: Date of birth of the voter in `YYYY-MM-DD` format.
        enrolmentNumber:
          type: string
          description: Electoral enrolment number.
    AuRegistryVerificationResponse:
      type: object
      properties:
        status:
          type: boolean
        message:
          type: string
        result:
          type: object
          properties:
            Errors:
              type: array
              items:
                type: object
                additionalProperties: true
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: Use `Bearer {your_api_token}` in the Authorization header.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.